<!DOCTYPE html>
<html>
  <head>
    <%- include('./part/head'); -%>
    <title>Hypertube - Sign up</title>
    <link rel="stylesheet" type="text/css" href="/style/login.css" />
  </head>
  <body>
    <%- include('./part/header'); -%>
    <div class="login-global">
      <div class="login-text">
        <p>A web application allows users to search and watch torrent videos !</p>
      </div>
      <div class="login-form-global">
        <div class="login-form-content">
          <div class="login-content">
            <h2>Sign up</h2>
            <form class="login-form" method="post" action="/register">
              <input class="input-login" required type="text" value="" name="firstname" placeholder="First name"/>
              <input class="input-login" required type="text" value="" name="lastname" placeholder="Last name"/>
              <input class="input-login" required type="email" value="" name="email" placeholder="Email"/>
              <input class="input-login" required type="text" value="" name="username" placeholder="Username"/>
              <input class="input-login" required type="password" value="" name="pass" placeholder="Password"/>
              <input class="input-login" required type="password" value="" name="cpass" placeholder="Confirm password"/>
              <div class="login-btn-signin">
                <input class="input-login" type="submit" value="Sign up"/>
              </div>
              <% if (error) { %>
                <p class="error"><%= error %></p>
              <% } %>
              <% if (confirm) { %>
                <p class="confirm"><%= confirm %></p>
              <% } %>
              <p class="login-register-btn">Or <a href="/login" class="link-register">sign in</a></p>
            </form>
          </div>
        </div>
      </div>
    </div>
    <%- include('./part/footer'); -%>
  </body>
</html>
